Ofte stillede spørgsmål

Kan jeg bruge Mapbox-kort i Maps Marker Pro?

Mapbox-kort kræver brug af Mapsboxs egen kortlægningsmotor, hvilket er i konflikt med den kortlægningsmotor, som vores plugin er baseret på (Leaflet). Derudover er de nye Mapbox-kort vektorkort, mens Maps Marker Pro bruger rasterkort. Vi har derfor ikke nogen planer om at understøtte de nye Mapbox Studio-kort på nuværende tidspunkt. Du kan fortsætte med at bruge de klassiske stilarter, så længe Mapbox giver dem, selv i version 4, ved at tilføje dem som et brugerdefineret lag.

0
0
12
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Plugin kan ikke aktiveres - Fatal fejl: Ikke fanget fejl: Klasse 'MMP \ SPBAS' blev ikke fundet

Fatal fejl: Ikke fanget fejl: Klasse 'MMP \ SPBAS' ikke fundet i /wp-content/plugins/maps-marker-pro/classes/maps-marker-pro.php:111

Hvis du modtager fejlen ovenfor ved plugin-aktivering, er det sandsynligt, at din server har et sikkerhedslag (som mod_security), som resulterede i slettet på specifikke tilsløret Maps Marker Pro-filer. Disse filer er som standard tilsløret for at beskytte licensvalideringsmekanismen, og hvis sikkerhedslaget er konfigureret til strengt, kan disse filer fejlagtigt identificeres som malware.

For at løse dette skal du opdatere til v4.10 eller nyere. Hvis du stadig oplever problemer, skal du åbne en supportbillet.

For at løse dette, bedes du kontakte din hoster og bede dem om at tilføje følgende 3 filer til hvidlisten til sikkerhedslaget:

  • /wp-content/plugins/maps-marker-pro/classes/menu-license.php
  • /wp-content/plugins/maps-marker-pro/classes/shortcodes.php
  • /wp-content/plugins/maps-marker-pro/classes/spbas.php

Hvis dette er gjort, skal du hente den igen nuværende plugin-pakke (henholdsvis den version, du bruger fra vores udgivelsesarkiver hvis det ikke er det nuværende) og manuelt uploade de 3 filer ovenfor via FTP.

0
0
4717
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Google-kortfliser vises ikke, når du bruger avis-tema

Hvis du bruger temaet Avis fås på Envato market det kan være, at kortfliser til Google-basemaps ikke er synlige:

Dette skyldes temaets style.css - vi har allerede kontaktet supporten og håber, at problemet snart løses med en ny udgivelse af Newspaper-temaet.

Indtil denne rettelse er tilgængelig, kan du løse dette problem ved at navigere til Avis / Tema-panel, vælge fanen "Brugerdefineret kode" og tilføje følgende CSS til afsnittet "Tilpasset CSS":

body.td-animation-stack-type0 .td-animation-stack .entry-thumb,
body.td-animation-stack-type0 .post img {
    opacity: unset !important;
}

som et alternativ kan du også tilføje følgende CSS:

.maps-marker-pro img {
    opacity: 1 !important;
}

0
0
5607
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Jeg kan ikke opdatere et kort eller markør, da Gem-knappen er deaktiveret

Hvis "Gem" -knappen på kort eller markørredigeringssider er deaktiveret og ikke kan klikkes på, er det sandsynligt, at dette skyldes en plugin-konflikt. For at bekræfte dette skal du deaktivere alle andre plugins undtagen Maps Marker Pro og prøve igen.

Hvis dette ikke hjælper, er det sandsynligt, at der kan være et problem med dit generelle WordPress AJAX endepunkt. Se i browserkonsollen (kan for eksempel åbnes med tast F11) for at se, om der er fejlmeddelelser. Send os disse fejlmeddelelser i a support billet så vi kan se nærmere på.

0
0
10347
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Sådan oprettes lydhør kort

Som standard reagerer kort, der er oprettet med Maps Marker Pro, hvilket betyder, at kortbredden tilpasser sig bredden på det overordnede HTML-element, som kortet er integreret i. Dette resulterer f.eks. I kort, der ændrer størrelse på mindre enheder, så de passer til den tilsvarende bredde på mobilen apparat.

Hvis du vil deaktivere den responsive funktion for et kort, skal du åbne kortet på backend, skifte til fanen "Interaktion" og deaktivere indstillingen "Responsiv":

0
0
10436
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Geokodningsfejl “OVER_QUERY_LIMIT”

Hvis du får fejlen OVER_QUERY_LIMIT, når du prøver at geokode en adresse med Google, der er indstillet som leverandør af geokodning, betyder det, at du overskredet Google Maps Platforms webtjenesters brugsgrænser med:

  • sende for mange anmodninger om dagen eller f.eks. af
  • at sende forespørgsler for hurtigt, dvs. for mange anmodninger pr. sekund

Ovenstående problemer kan løses ved at kombinere to tilgange:

  1. Sænker brugen ved at optimere applikationer til at bruge webservices mere effektivt.
  2. Forøgelse af brugsgrænser, når det er muligt, ved at købe yderligere tillæg til dine Google Maps APIs for Work-licens.

Vi anbefaler at logge ind på din Google API-konsol og kontroller og juster dine brugsgrænser der.

Som et alternativ kan du skifte til et andet leverandør af geokodning.

1
1
14272
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Ingen geokodningsresultater for en bestemt adresse eller placering

Maps Marker Pro giver dig mulighed for at vælge mellem forskellige udbydere af geokodning, hvilket giver dig mulighed for at få de bedste resultater i henhold til dine behov. Se en liste over tilgængelige geocoding-udbydere og instruktioner om, hvordan du aktiverer dem https://www.mapsmarker.com/kb/article/geocoding/.

Vær opmærksom på, at hver geocoding-udbyder bruger forskellige kilder med forskellige opdateringscyklusser. Ikke desto mindre kan det være, at der ikke findes noget resultat for en adresse, der dog bestemt findes. Hvis dette er tilfældet for dig, anbefaler vi at skifte til en anden leverandør af geokodning for at kontrollere, om den nøjagtige adresse findes der, f.eks. Ved hjælp af dropdown, der viser alle aktive udbydere af geocoding:

Hvis der stadig ikke findes noget resultat, kan du hjælpe alle OpenStreetMap-baserede geokodningstjenester (alle undtagen Google Geocoding) med at forbedre deres datasæt ved at indsende adressen. For mere information om, hvordan du hjælper med at forbedre adressedata til OpenStreetMap, se venligst på følgende websteder:

0
0
12835
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Sådan aktiveres de avancerede indstillinger for kort

Maps Marker Pro tilbyder masser af muligheder, du kan angive til dine kort. For at bevare en slank backend-grænseflade er de avancerede indstillinger i korteditoren deaktiveret som standard, hvilket skjuler indstillinger, der ofte kun er til avanceret brug:

Hvis du viser de avancerede indstillinger ved at skifte alternativknappen “Vis avancerede indstillinger”, vises yderligere indstillinger for hver underfane på kortredigeringsskærmen. Eksempel på faneblad:

 

Når du skifter til denne knap, gemmes indstillingen automatisk, så næste gang du åbner kortredigeringsskærmen, bliver indstillingen fra sidste gang genbrugt.

0
0
7984
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Sådan tildeles en markør til et kort, når du bruger GeoJSON-importøren

Hvis du vil tildele en markør til et kort, når du bruger GeoJSON-importfunktionen, skal du tilføje markørens ID-kort i maps egenskaber-attribut. Eksempel, hvor markør føjes til kortene med ID 1 og 2:

 
{"type": "FeatureCollection", "features": [{"type": "Feature", "geometry": {"type": "Point", "coordinates": ["16.372500", "48.208300"]} , "properties": {"id": "56", "name": "Headquarters", "address": "Main Street", "zoom": "10.0", "icon": "", "popup": "Dette er vores virksomheds hovedkvarter", "link": "",
                "maps": "1,2"
            }}]}

 

Hvis markøren ikke skal tildeles et kort, når du bruger GeoJSON-importøren, skal du bruge værdien null

1
1
35879
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Fejlen "Filtype er ikke tilladt af sikkerhedsmæssige årsager", når du prøver at uploade en gpx-fil

Dette problem skal løses med Maps Marker Pro v4.3 og nyere - opdater venligst til den nyeste version, så denne rettelse gælder.

Hvis du stadig oplever dette problem, skal du tilføje følgende kode til wp-config.php, som skal aktivere upload af .gpx-filer igen:

define('ALLOW_UNFILTERED_UPLOADS', true);

Hvis dette ikke hjælper på dit websted, kan du kigge på andre tilgængelige muligheder fra denne eksterne tutorial.

Hvis du stadig oplever problemer bagefter, bedes du venligst åbne en support billet.

3
0
8896
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Markørikonvinduet er overlappet af kort

Hvis du vil ændre ikonet for en markør, og ikonvinduet er skjult bag kortet, når du klikker på knappen "Skift" for ikoner, er dette normalt forårsaget af en plugin-konflikt (nogle plugins følger ikke de bedste fremgangsmåder og indlejrer deres javascripts og CSS-filer på hver admin-side og ikke kun hvor det er nødvendigt).

Du kan enten finde og deaktivere det plugin, der forårsager dette, eller tilføje følgende kode i slutningen af ​​din
temaets funktioner.php for at løse dette:

/ * Maps Marker Pro - fix for ikonmodal, der skjules af andre plugins eller temaer ved hjælp af jquery ui * / funktion mmp_icon_modal_visibility_workaround () {$ current_screen = get_current_screen (); hvis (($ current_screen-> base == 'maps-marker-pro_page_mapsmarkerpro_marker') || ($ current_screen-> base == 'maps-marker-pro_page_mapsmarkerpro_map')) {echo ' .ui-dialog { z-index: 99999 !important; } '; }} add_action ('admin_head', 'mmp_icon_modal_visibility_workaround');
0
1
13354
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Sådan afinstalleres Maps Marker Pro

Hvis du vil afinstallere Maps Marker Pro, skal du logge ind med en admin-konto til dit WordPress-sted, gå til Plugins og deaktiver først Maps Marker Pro:

Som næste trin skal du klikke på “slet”:

Bekræft sletningen som næste trin ved at klikke på “OK” (opmærksomhed: alle oprettede kort og markører slettes også, og der er ingen mulighed for at fortryde denne handling, medmindre du gendanner en sikkerhedskopi!)

Hvis du også vil have din kundekonto og licens på vores servere også slettet, bedes du venligst åbne en support billet.

0
0
8255
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Er Maps Marker Pro kompatibel med Gutenberg / WordPress 5.x?

Ja, Maps Marker Pro er kompatibel med WordPress 5 og den nye Gutenberg-editor. Se generelle minimumskrav til Maps Marker Pro denne ofte stillede spørgsmål.

For en fremtidig udgivelse planlægger vi også at tilføje en brugerdefineret kortblok, som giver dig mulighed for let at søge og tilføje kortkoder til kort (indtil da skal du kopiere og forbi kortkoden til et kort i en blok):

Trin 1 - kopier kortkoden, f.eks. Fra kortredigeringssiden

Trin 2 - indsæt kortkoden i Gutenberg-editoren, hvilket resulterer i automatisk oprettelse af en kortkodeblok

0
0
8312
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

Analysefejl: syntaksfejl, uventet T_OBJECT_OPERATOR i maps-marker-pro.php

Plugin could not be activated because it triggered a fatal error.
Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /wp-content/plugins/maps-marker-pro/maps-marker-pro.php on line 66

Hvis du ser fejlen ovenfor, når du prøver at aktivere Maps Marker Pro, betyder det normalt, at PHP-versionen, der bruges på din server, er for lav. 

Maps Marker Pro kræver mindst PHP 5.4 for at køre korrekt, alligevel da PHP 5.4 allerede er forældet og ikke modtager opdateringer (inklusive sikkerhedsrettelser!) Længere siden september 2015, anbefaler vi strengt at en understøttes i øjeblikket PHP-version (7.x).

For at løse dette, bedes du enten skifte din PHP-version gennem dit hosting-kontrolpanel, hvis det er muligt, eller kontakte din hosting-udbyders support for at skifte PHP-version for dig.

 

0
0
8901
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

"Kun til udviklingsformål" -fejl på Google-basiskort

Kort som standard bruger Maps Marker Pro OpenStreetMap til kort, der kan bruges uden nogen obligatorisk API-nøgleregistrering. Hvis du imidlertid bruger Google Maps, kan du opleve følgende problem, hvis opsætningen af ​​Google API-nøglen var ufuldstændig / forkert:

Hvis du ser fejlen "Kun til udviklingsformål" på dit kort ved hjælp af Google-basekort, skal du åbne din browserkonsol (f.eks. Ved at trykke på tasten F12 i Firefox eller Chrome) og skifte til fanen "Konsol" e for at se flere detaljer om fejl:

I eksemplet ovenfor er fejlen NoApiKeys, hvilket betyder, at den obligatoriske Google Maps Javascript API-nøgle mangler.

Alligevel er de fleste fejl relateret til din Google Maps Javascript API-nøgle, som er nødvendig for at få vist Google Maps korrekt.

Så for at løse dette, skal du fortsætte som følger:

  1. Sørg for, at du har registreret en Google Maps Javascript API-nøgle, se tutorial for detaljer. Sørg også for, at du har gemt dine kreditkortoplysninger i Google API-konsollen, hvilket er nødvendigt siden Google ToS ændringer fra sommeren 2018.
  2. hvis din fejl er RefererNotAllowedMapError Kontroller venligst trin 6 fra tutorial og sørg for at indstille din accepterede henviser til det domæne, hvor kortet er integreret, er konfigureret korrekt, som *.yourdomain.com/*

For alle andre fejl, se venligst fejlreferencen på https://developers.google.com/maps/documentation/javascript/error-messages#deverrorcodes hvor du også finder en mulig løsning.

Hvis dette stadig ikke hjælper, skal du åbne en support billet og vi vil være glade for at hjælpe.

7
2
23891
Bedøm dette FAQ-svar

Du har ikke tilladelse til at bedømme dette indlæg.

en English
X